import { OnDestroy, OnInit } from '@angular/core';
import { BbDashboard } from '../dashboard/dashboard.component';
import { Platform } from '../../services/platform.service';
export declare class BbDashboardSidebar implements OnInit, OnDestroy {
    private _platform;
    private _parent;
    visible: boolean;
    private _state$;
    private _cache;
    private _subscription;
    private readonly _localStorageToken;
    constructor(_platform: Platform, _parent: BbDashboard);
    ngOnInit(): void;
    ngOnDestroy(): void;
    registerGroup(id: string): import("rxjs/internal/Observable").Observable<string>;
    unregisterGroup(id: string): void;
    toggleGroup(id: string, newState: string): void;
    close(): void;
    private getLocalStorage;
    private setCache;
    private saveCache;
}
